unit main;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls, ExtDlgs;

type
  TMainForm = class(TForm)
    Panel1: TPanel;
    Panel2: TPanel;
    btnLoad: TButton;
    btnFlipV: TButton;
    btnFlipH: TButton;
    btnRotate: TButton;
    Image1: TImage;
    chbStretch: TCheckBox;
    chbCenter: TCheckBox;
    OpenPictureDialog1: TOpenPictureDialog;
		procedure chbStretchClick(Sender: TObject);
		procedure chbCenterClick(Sender: TObject);
		procedure btnLoadClick(Sender: TObject);
		procedure FormCreate(Sender: TObject);
		procedure FormDestroy(Sender: TObject);
		procedure btnFlipVClick(Sender: TObject);
    procedure btnFlipHClick(Sender: TObject);
    procedure btnRotateClick(Sender: TObject);
	private
		{ Private declarations }
		FBitmap: TBitmap;
	public
		{ Public declarations }
	end;

var
	MainForm: TMainForm;

implementation

uses ImgFlip;

{$R *.DFM}

procedure TMainForm.chbStretchClick(Sender: TObject);
begin
	Image1.Stretch := chbStretch.Checked;
end;

procedure TMainForm.chbCenterClick(Sender: TObject);
begin
	Image1.Center := chbCenter.Checked;
end;

procedure TMainForm.btnLoadClick(Sender: TObject);
begin
	if OpenPictureDialog1.Execute then
	begin
		try
			FBitmap.LoadFromFile(OpenPictureDialog1.FileName);
		except
			MessageDlg('You can only load Bitmaps (*.BMP) files', mtError, [mbOK], 0);
		end;
		Image1.Picture.Bitmap.Assign(FBitmap);
	end;
end;

procedure TMainForm.FormCreate(Sender: TObject);
begin
	FBitmap := TBitmap.Create;
end;

procedure TMainForm.FormDestroy(Sender: TObject);
begin
	FBitmap.Free;
end;

procedure TMainForm.btnFlipVClick(Sender: TObject);
begin
	FBitmap.Assign(Image1.Picture.Bitmap);
	ImageFlipV(FBitmap);
	Image1.Picture.Bitmap.Assign(FBitmap);
end;

procedure TMainForm.btnFlipHClick(Sender: TObject);
begin
	FBitmap.Assign(Image1.Picture.Bitmap);
	ImageFlipH(FBitmap);
	Image1.Picture.Bitmap.Assign(FBitmap);
end;

procedure TMainForm.btnRotateClick(Sender: TObject);
begin
	FBitmap.Assign(Image1.Picture.Bitmap);
	ImageRotate90(FBitmap);
	Image1.Picture.Bitmap.Assign(FBitmap);
end;

end.
